Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.services.rundata
Interface RunDataService

All Superinterfaces:
  Initable, Service

All Known Implementing Classes:
  TurbineRunDataService

    public interface RunDataService

extends Service

The RunData Service provides the implementations for RunData and related interfaces required by request processing. It supports different configurations of implementations, which can be selected by specifying a configuration key. It may use pooling, in which case the implementations should implement the Recyclable interface.

Version:
  $Id: RunDataService.java 938645 2010-04-27 20:57:51Z tv $
Author:
  Ilkka Priha, Henning P. Schmiedehausen

Field Summary
`static String` | `COOKIE_PARSER_KEY` The property for the implemention of the CookieParser.
`static String` | `DEFAULT_CONFIG` The default parser configuration key.
`static String` | `PARAMETER_PARSER_KEY` The property for the implemention of the ParameterParser.
`static String` | `RUN_DATA_KEY` The property for the implemention of the RunData object
`static String` | `SERVICE_NAME` The key under which this service is stored in TurbineServices.

Method Summary
`RunData` | `getRunData(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res, javax.servlet.ServletConfig config)` Gets a default RunData object.
`RunData` | `getRunData(String key, javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res, javax.servlet.ServletConfig config)` Gets a RunData object from a specific configuration.
`boolean` | `putRunData(RunData data)` Puts the used RunData object back to the factory for recycling.

Methods inherited from interface org.apache.turbine.services.Service
`getConfiguration, getName, getProperties, setName, setServiceBroker`

Methods inherited from interface org.apache.turbine.services.Initable
`getInit, init, init, setInitableBroker, shutdown`

Field Detail

### SERVICE_NAME

    static final String SERVICE_NAME

  The key under which this service is stored in TurbineServices.

  See Also:
    Constant Field Values

### DEFAULT_CONFIG

    static final String DEFAULT_CONFIG

  The default parser configuration key.

  See Also:
    Constant Field Values

### RUN_DATA_KEY

    static final String RUN_DATA_KEY

  The property for the implemention of the RunData object

  See Also:
    Constant Field Values

### PARAMETER_PARSER_KEY

    static final String PARAMETER_PARSER_KEY

  The property for the implemention of the ParameterParser.

  See Also:
    Constant Field Values

### COOKIE_PARSER_KEY

    static final String COOKIE_PARSER_KEY

  The property for the implemention of the CookieParser.

  See Also:
    Constant Field Values

Method Detail

### getRunData

    RunData getRunData(javax.servlet.http.HttpServletRequest req,
                       javax.servlet.http.HttpServletResponse res,
                       javax.servlet.ServletConfig config)
                       throws TurbineException

  Gets a default RunData object.

  Parameters:
    `req` - a servlet request.
    `res` - a servlet response.
    `config` - a servlet config.
  Returns:
    a new or recycled RunData object.
  Throws:
    `TurbineException` - if the operation fails.

### getRunData

    RunData getRunData(String key,
                       javax.servlet.http.HttpServletRequest req,
                       javax.servlet.http.HttpServletResponse res,
                       javax.servlet.ServletConfig config)
                       throws TurbineException

  Gets a RunData object from a specific configuration.

  Parameters:
    `key` - a configuration key.
    `req` - a servlet request.
    `res` - a servlet response.
    `config` - a servlet config.
  Returns:
    a new or recycled RunData object.
  Throws:
    `TurbineException` - if the operation fails.

### putRunData

    boolean putRunData(RunData data)

  Puts the used RunData object back to the factory for recycling.

  Parameters:
    `data` - the used RunData object.
  Returns:
    true, if pooling is supported and the object was accepted.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.